<template>
	<view class="bd-notice">
		<view class="notice">
			<image :src="notice" @click="show"></image>
		</view>
	</view>
</template>

<script>
	import appRichText from "../../basic-component/app-rich/parse";
	export default {
		name: 'bd-notice',
		components: {
			'app-rich-text': appRichText,
		},
		props: {
			notice: {
				type: String,
				default () {
					return '';
				}
			},
		},
		onLoad(){
			
		},
		methods: {
			show() {
				let imgArr = [];
				imgArr.push(this.notice);
				uni.previewImage({
					current: imgArr[0],
					urls: imgArr,
				});
			}
		}
	}
</script>

<style lang="scss">
	.bd-notice {
		width: 702upx;
		padding: 20upx 0;
		background-color: #ffffff;
		border-radius: 15upx;
		margin: 24upx 24upx 0 24upx;

		image {
			width: 100%;
			height: 900upx;
			display: block;
		}
	}
</style>
